---
lang: en
title: 'API docs: context.hasinjections'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.hasinjections.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [hasInjections](./context.hasinjections.md)

## hasInjections() function

Check if the given class has `@inject` or other decorations that map to `@inject`<!-- -->.

**Signature:**

```typescript
export declare function hasInjections(cls: Constructor<unknown>): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  cls | [Constructor](./context.constructor.md)<!-- -->&lt;unknown&gt; | Class with possible <code>@inject</code> decorations |

**Returns:**

boolean


